function SUI_TargetTargetFrame_OnLoad(this)
	SUI_TargetFrame.target = SUI_TargetTargetFrame;
	SUI_TargetTargetFrame.owner = "target";
	SUI_TargetTargetFrame.unit = "targettarget";

	local prefix = this:GetName();
	SUI_UnitFrame_Initialize(SUI_TargetTargetFrame, SUI_TargetTargetFrame.unit, 
		getglobal(prefix.."Name"), getglobal(prefix.."Portrait"),
		getglobal(prefix.."HealthBar"), getglobal(prefix.."ManaBar"), 
		getglobal(prefix.."SkillBar"), getglobal(prefix.."RaidTargetFrame"));
		
	this:RegisterForClicks("LeftButton", "RightButton");
	SUI_TargetTargetFrame:RegisterEvent("UNIT_CLASS_CHANGED");
	SUI_TargetTargetFrame:RegisterEvent("UNIT_BUFF_CHANGED");
	SUI_TargetTargetFrame:RegisterEvent("UNIT_TARGET_CHANGED");
	
	local frameName = this:GetName();
	for i = 1, MAX_PARTY_DEBUFFS do
		local button = getglobal(frameName.."DebuffButton"..i);
	end
	button4 = getglobal(frameName.."DebuffButton"..4);
	button5 = getglobal(frameName.."DebuffButton"..5);
	button5:ClearAllAnchors();
	button5:SetAnchor("LEFT", "RIGHT", button4, 0, 0);
	
	this.debufAnchorToBuf = 1;
	this.AutoShow = 1;
end

function SUI_TargetTargetFrame_OnEvent(this, event)
	if (event == "UNIT_BUFF_CHANGED") then
		if (arg1 == this.unit) then
			SUI_PartyBuffButton_Update(this);
		end
	end
end