local aggroStringColor = {};
aggroStringColor[1] = {r = 1.00, g = 0.00, b = 0.00};
aggroStringColor[2] = {r = 1.00, g = 0.50, b = 0.00};
aggroStringColor[3] = {r = 1.00, g = 1.00, b = 0.00};
aggroStringColor[4] = {r = 0.00, g = 0.50, b = 1.00};
aggroStringColor[5] = {r = 0.00, g = 1.00, b = 0.50};
aggroStringColor[6] = {r = 0.00, g = 1.00, b = 0.00};

function SUI_AggroFrame_OnLoad(this)
	this:RegisterEvent("UNIT_TARGET_CHANGED");
	this:RegisterEvent("TARGET_HATE_LIST_UPDATED");
	this:RegisterEvent("COMBATMETER_DAMAGE");
	this:RegisterEvent("COMBATMETER_HEAL");
end

function SUI_AggroFrame_OnEvent(this, event)
	TargetHateListRequest();
	SUI_AggroFrame_Update();
end

function SUI_AggroFrame_Update()
	local maxHate = 0
	local j = 1;
	while GetTargetHateList(j) ~= nil do
		local name, hatePoint = GetTargetHateList(j);
		maxHate = maxHate + hatePoint;
		j = j + 1;
	end
	for i = 1, 6 do
		local aggroString = getglobal("SUI_AggroString"..i);
		local aggroStringName = getglobal("SUI_AggroString"..i.."InfoText");
		local aggroStringValue = getglobal("SUI_AggroString"..i.."ValueText");
		local name, hatePoint = GetTargetHateList(i);
		if name then
			aggroString:SetBarColor(aggroStringColor[i].r, aggroStringColor[i].g, aggroStringColor[i].b);
			aggroString:SetMaxValue(maxHate);
			aggroString:SetValue(hatePoint);
			aggroStringName:SetText(name);
			aggroStringValue:SetText(hatePoint.." ("..math.ceil((hatePoint * 100) / maxHate).."%)");
		else
			aggroString:SetValue(0);
			aggroStringName:SetText("");
			aggroStringValue:SetText("");
		end
	end
end		