SUI_Settings["UIConfigCheckButton"] = {};

function PlayerPortrait_OnLoad(this)
	this:RegisterEvent("VARIABLES_LOADED")
	PlayerPortraitText:SetText(SUI_PLAYER_PORTRAIT_TEXT);
end

function PlayerPortrait_OnEvent(this, event)
	if event == "VARIABLES_LOADED" then
		if SUI_Settings["UIConfigCheckButton"]["PlayerPortrait"] == nil then
			SUI_Settings["UIConfigCheckButton"]["PlayerPortrait"] = true;
		end
		if SUI_Settings["UIConfigCheckButton"]["PlayerPortrait"] then
			SUI_PlayerFramePortrait:Show();
			SUI_PlayerFramePortraitBorder:Show();
		else
			SUI_PlayerFramePortrait:Hide();
			SUI_PlayerFramePortraitBorder:Hide();
		end
		this:SetChecked(SUI_Settings["UIConfigCheckButton"]["PlayerPortrait"]);
	end
end

function PlayerPortrait_OnClick(this)
	SUI_Settings["UIConfigCheckButton"]["PlayerPortrait"] = this:IsChecked();
	if SUI_Settings["UIConfigCheckButton"]["PlayerPortrait"] then
		SUI_PlayerFramePortrait:Show();
		SUI_PlayerFramePortraitBorder:Show();
		local x, y = SUI_PlayerFrame:GetPos();
		SUI_PlayerFrame:SetPos(x + 52, y);
		SUI_Settings["SUI_PlayerFrame"]["X"], SUI_Settings["SUI_PlayerFrame"]["Y"] = SUI_PlayerFrame:GetPos();
	else
		SUI_PlayerFramePortrait:Hide();
		SUI_PlayerFramePortraitBorder:Hide();
		local x, y = SUI_PlayerFrame:GetPos();
		SUI_PlayerFrame:SetPos(x - 52, y);
		SUI_Settings["SUI_PlayerFrame"]["X"], SUI_Settings["SUI_PlayerFrame"]["Y"] = SUI_PlayerFrame:GetPos();
	end
end


function TargetPortrait_OnLoad(this)
	this:RegisterEvent("VARIABLES_LOADED")
	TargetPortraitText:SetText(SUI_TARGET_PORTRAIT_TEXT);
end

function TargetPortrait_OnEvent(this, event)
	if event == "VARIABLES_LOADED" then
		if SUI_Settings["UIConfigCheckButton"]["TargetPortrait"] == nil then
			SUI_Settings["UIConfigCheckButton"]["TargetPortrait"] = true;
		end
		if SUI_Settings["UIConfigCheckButton"]["TargetPortrait"] then
			SUI_TargetFramePortrait:Show();
			SUI_TargetFramePortraitBorder:Show();
		else
			SUI_TargetFramePortrait:Hide();
			SUI_TargetFramePortraitBorder:Hide();
		end
		this:SetChecked(SUI_Settings["UIConfigCheckButton"]["TargetPortrait"]);
	end
end

function TargetPortrait_OnClick(this)
	SUI_Settings["UIConfigCheckButton"]["TargetPortrait"] = this:IsChecked();
	if SUI_Settings["UIConfigCheckButton"]["TargetPortrait"] then
		SUI_TargetFramePortrait:Show();
		SUI_TargetFramePortraitBorder:Show();
	else
		SUI_TargetFramePortrait:Hide();
		SUI_TargetFramePortraitBorder:Hide();
	end
end


function TargetTargetPortrait_OnLoad(this)
	this:RegisterEvent("VARIABLES_LOADED")
	TargetTargetPortraitText:SetText(SUI_TT_PORTRAIT_TEXT);
end

function TargetTargetPortrait_OnEvent(this, event)
	if event == "VARIABLES_LOADED" then
		if SUI_Settings["UIConfigCheckButton"]["TargetTargetPortrait"] == nil then
			SUI_Settings["UIConfigCheckButton"]["TargetTargetPortrait"] = true;
		end
		if SUI_Settings["UIConfigCheckButton"]["TargetTargetPortrait"] then
			SUI_TargetTargetFramePortrait:Show();
			SUI_TargetTargetFramePortraitBorder:Show();
		else
			SUI_TargetTargetFramePortrait:Hide();
			SUI_TargetTargetFramePortraitBorder:Hide();
		end
		this:SetChecked(SUI_Settings["UIConfigCheckButton"]["TargetTargetPortrait"]);
	end
end

function TargetTargetPortrait_OnClick(this)
	SUI_Settings["UIConfigCheckButton"]["TargetTargetPortrait"] = this:IsChecked();
	if SUI_Settings["UIConfigCheckButton"]["TargetTargetPortrait"] then
		SUI_TargetTargetFramePortrait:Show();
		SUI_TargetTargetFramePortraitBorder:Show();
		local x, y = SUI_TargetTargetFrame:GetPos();
		SUI_TargetTargetFrame:SetPos(x + 52, y);
		SUI_Settings["SUI_TargetTargetFrame"]["X"], SUI_Settings["SUI_TargetTargetFrame"]["Y"] = SUI_TargetTargetFrame:GetPos();
	else
		SUI_TargetTargetFramePortrait:Hide();
		SUI_TargetTargetFramePortraitBorder:Hide();
		local x, y = SUI_TargetTargetFrame:GetPos();
		SUI_TargetTargetFrame:SetPos(x - 52, y);
		SUI_Settings["SUI_TargetTargetFrame"]["X"], SUI_Settings["SUI_TargetTargetFrame"]["Y"] = SUI_TargetTargetFrame:GetPos();
	end
end


function PartyPortrait_OnLoad(this)
	this:RegisterEvent("VARIABLES_LOADED")
	PartyPortraitText:SetText(SUI_PARTY_PORTRAIT_TEXT);
end

function PartyPortrait_OnEvent(this, event)
	if event == "VARIABLES_LOADED" then
		if SUI_Settings["UIConfigCheckButton"]["PartyPortrait"] == nil then
			SUI_Settings["UIConfigCheckButton"]["PartyPortrait"] = true;
		end
		if SUI_Settings["UIConfigCheckButton"]["PartyPortrait"] then
			SUI_UnitFrame_party1Portrait:Show();
			SUI_UnitFrame_party1PortraitBorder:Show();
			SUI_UnitFrame_party2Portrait:Show();
			SUI_UnitFrame_party2PortraitBorder:Show();
			SUI_UnitFrame_party3Portrait:Show();
			SUI_UnitFrame_party3PortraitBorder:Show();
			SUI_UnitFrame_party4Portrait:Show();
			SUI_UnitFrame_party4PortraitBorder:Show();
			SUI_UnitFrame_party5Portrait:Show();
			SUI_UnitFrame_party5PortraitBorder:Show();
		else
			SUI_UnitFrame_party1Portrait:Hide();
			SUI_UnitFrame_party1PortraitBorder:Hide();
			SUI_UnitFrame_party2Portrait:Hide();
			SUI_UnitFrame_party2PortraitBorder:Hide();
			SUI_UnitFrame_party3Portrait:Hide();
			SUI_UnitFrame_party3PortraitBorder:Hide();
			SUI_UnitFrame_party4Portrait:Hide();
			SUI_UnitFrame_party4PortraitBorder:Hide();
			SUI_UnitFrame_party5Portrait:Hide();
			SUI_UnitFrame_party5PortraitBorder:Hide();
		end
		this:SetChecked(SUI_Settings["UIConfigCheckButton"]["PartyPortrait"]);
	end
end

function PartyPortrait_OnClick(this)
	SUI_Settings["UIConfigCheckButton"]["PartyPortrait"] = this:IsChecked();
	if SUI_Settings["UIConfigCheckButton"]["PartyPortrait"] then
		SUI_UnitFrame_party1Portrait:Show();
		SUI_UnitFrame_party1PortraitBorder:Show();
		SUI_UnitFrame_party2Portrait:Show();
		SUI_UnitFrame_party2PortraitBorder:Show();
		SUI_UnitFrame_party3Portrait:Show();
		SUI_UnitFrame_party3PortraitBorder:Show();
		SUI_UnitFrame_party4Portrait:Show();
		SUI_UnitFrame_party4PortraitBorder:Show();
		SUI_UnitFrame_party5Portrait:Show();
		SUI_UnitFrame_party5PortraitBorder:Show();
		local x, y = SUI_UnitFrame_party1:GetPos();
		SUI_UnitFrame_party1:SetPos(x + 52, y);
		local x, y = SUI_UnitFrame_party2:GetPos();
		SUI_UnitFrame_party2:SetPos(x + 52, y);
		local x, y = SUI_UnitFrame_party3:GetPos();
		SUI_UnitFrame_party3:SetPos(x + 52, y);
		local x, y = SUI_UnitFrame_party4:GetPos();
		SUI_UnitFrame_party4:SetPos(x + 52, y);
		local x, y = SUI_UnitFrame_party5:GetPos();
		SUI_UnitFrame_party5:SetPos(x + 52, y);
		SUI_Settings["SUI_UnitFrame_party1"]["X"], SUI_Settings["SUI_UnitFrame_party1"]["Y"] = SUI_UnitFrame_party1:GetPos();
		SUI_Settings["SUI_UnitFrame_party2"]["X"], SUI_Settings["SUI_UnitFrame_party2"]["Y"] = SUI_UnitFrame_party2:GetPos();
		SUI_Settings["SUI_UnitFrame_party3"]["X"], SUI_Settings["SUI_UnitFrame_party3"]["Y"] = SUI_UnitFrame_party3:GetPos();
		SUI_Settings["SUI_UnitFrame_party4"]["X"], SUI_Settings["SUI_UnitFrame_party4"]["Y"] = SUI_UnitFrame_party4:GetPos();
		SUI_Settings["SUI_UnitFrame_party5"]["X"], SUI_Settings["SUI_UnitFrame_party5"]["Y"] = SUI_UnitFrame_party5:GetPos();
	else
		SUI_UnitFrame_party1Portrait:Hide();
		SUI_UnitFrame_party1PortraitBorder:Hide();
		SUI_UnitFrame_party2Portrait:Hide();
		SUI_UnitFrame_party2PortraitBorder:Hide();
		SUI_UnitFrame_party3Portrait:Hide();
		SUI_UnitFrame_party3PortraitBorder:Hide();
		SUI_UnitFrame_party4Portrait:Hide();
		SUI_UnitFrame_party4PortraitBorder:Hide();
		SUI_UnitFrame_party5Portrait:Hide();
		SUI_UnitFrame_party5PortraitBorder:Hide();
		local x, y = SUI_UnitFrame_party1:GetPos();
		SUI_UnitFrame_party1:SetPos(x - 52, y);
		local x, y = SUI_UnitFrame_party2:GetPos();
		SUI_UnitFrame_party2:SetPos(x - 52, y);
		local x, y = SUI_UnitFrame_party3:GetPos();
		SUI_UnitFrame_party3:SetPos(x - 52, y);
		local x, y = SUI_UnitFrame_party4:GetPos();
		SUI_UnitFrame_party4:SetPos(x - 52, y);
		local x, y = SUI_UnitFrame_party5:GetPos();
		SUI_UnitFrame_party5:SetPos(x - 52, y);
		SUI_Settings["SUI_UnitFrame_party1"]["X"], SUI_Settings["SUI_UnitFrame_party1"]["Y"] = SUI_UnitFrame_party1:GetPos();
		SUI_Settings["SUI_UnitFrame_party2"]["X"], SUI_Settings["SUI_UnitFrame_party2"]["Y"] = SUI_UnitFrame_party2:GetPos();
		SUI_Settings["SUI_UnitFrame_party3"]["X"], SUI_Settings["SUI_UnitFrame_party3"]["Y"] = SUI_UnitFrame_party3:GetPos();
		SUI_Settings["SUI_UnitFrame_party4"]["X"], SUI_Settings["SUI_UnitFrame_party4"]["Y"] = SUI_UnitFrame_party4:GetPos();
		SUI_Settings["SUI_UnitFrame_party5"]["X"], SUI_Settings["SUI_UnitFrame_party5"]["Y"] = SUI_UnitFrame_party5:GetPos();
	end
end


function CastBar_OnLoad(this)
	this:RegisterEvent("VARIABLES_LOADED")
	CastBarText:SetText(SUI_CASTBAR_TEXT);
end

function CastBar_OnEvent(this, event)
	if event == "VARIABLES_LOADED" then
		if SUI_Settings["UIConfigCheckButton"]["CastingBar"] == nil then
			SUI_Settings["UIConfigCheckButton"]["CastingBar"] = true;
		end
		if SUI_Settings["UIConfigCheckButton"]["CastingBar"] then
			CastingBarFrame:UnregisterEvent("CASTING_START");
			CastingBarFrame:UnregisterEvent("CASTING_STOP");
			CastingBarFrame:UnregisterEvent("CASTING_FAILED");
			CastingBarFrame:UnregisterEvent("CASTING_DELAYED");
			CastingBarFrame:Hide();
		else
			SUI_PlayerCastingBar:UnregisterEvent("CASTING_START");
			SUI_PlayerCastingBar:UnregisterEvent("CASTING_STOP");
			SUI_PlayerCastingBar:UnregisterEvent("CASTING_FAILED");
			SUI_PlayerCastingBar:UnregisterEvent("CASTING_DELAYED");
			SUI_PlayerCastingBar:Hide();
		end
		this:SetChecked(SUI_Settings["UIConfigCheckButton"]["CastingBar"]);
	end
end

function CastBar_OnClick(this)
	SUI_Settings["UIConfigCheckButton"]["CastingBar"] = this:IsChecked();
	if SUI_Settings["UIConfigCheckButton"]["CastingBar"] then
		CastingBarFrame:UnregisterEvent("CASTING_START");
		CastingBarFrame:UnregisterEvent("CASTING_STOP");
		CastingBarFrame:UnregisterEvent("CASTING_FAILED");
		CastingBarFrame:UnregisterEvent("CASTING_DELAYED");
		CastingBarFrame:Hide();
		SUI_PlayerCastingBar:RegisterEvent("CASTING_START");
		SUI_PlayerCastingBar:RegisterEvent("CASTING_STOP");
		SUI_PlayerCastingBar:RegisterEvent("CASTING_FAILED");
		SUI_PlayerCastingBar:RegisterEvent("CASTING_DELAYED");
	else
		SUI_PlayerCastingBar:UnregisterEvent("CASTING_START");
		SUI_PlayerCastingBar:UnregisterEvent("CASTING_STOP");
		SUI_PlayerCastingBar:UnregisterEvent("CASTING_FAILED");
		SUI_PlayerCastingBar:UnregisterEvent("CASTING_DELAYED");
		SUI_PlayerCastingBar:Hide();
		CastingBarFrame:RegisterEvent("CASTING_START");
		CastingBarFrame:RegisterEvent("CASTING_STOP");
		CastingBarFrame:RegisterEvent("CASTING_FAILED");
		CastingBarFrame:RegisterEvent("CASTING_DELAYED");
	end
end


function BafBar_OnLoad(this)
	this:RegisterEvent("VARIABLES_LOADED")
	BafBarText:SetText(SUI_BAFBAR_TEXT);
end

function BafBar_OnEvent(this, event)
	if event == "VARIABLES_LOADED" then
		if SUI_Settings["UIConfigCheckButton"]["BafBar"] == nil then
			SUI_Settings["UIConfigCheckButton"]["BafBar"] = true;
		end
		if SUI_Settings["UIConfigCheckButton"]["BafBar"] then
			local button
			for i = 1, 24 do
				button = getglobal("PlayerBuffButton"..i)
				button:UnregisterEvent("UNIT_BUFF_CHANGED");
				button:Hide();
			end
			for i = 1, 24 do
				button = getglobal("PlayerDebuffButton"..i)
				button:UnregisterEvent("UNIT_BUFF_CHANGED");
				button:Hide();
			end
		else
			local button
			for i = 1, 16 do
				button = getglobal("SUI_PlayerBuffButton"..i)
				button:UnregisterEvent("UNIT_BUFF_CHANGED");
				button:Hide();
			end
			for i = 1, 8 do
				button = getglobal("SUI_PlayerDebuffButton"..i)
				button:UnregisterEvent("UNIT_BUFF_CHANGED");
				button:Hide();
			end
		end
		this:SetChecked(SUI_Settings["UIConfigCheckButton"]["BafBar"]);
	end
end

function BafBar_OnClick(this)
	SUI_Settings["UIConfigCheckButton"]["BafBar"] = this:IsChecked();
	if SUI_Settings["UIConfigCheckButton"]["BafBar"] then
		local button
		for i = 1, 24 do
			button = getglobal("PlayerBuffButton"..i)
			button:UnregisterEvent("UNIT_BUFF_CHANGED");
			button:Hide();
		end
		for i = 1, 24 do
			button = getglobal("PlayerDebuffButton"..i)
			button:UnregisterEvent("UNIT_BUFF_CHANGED");
			button:Hide();
		end
		for i = 1, 16 do
			button = getglobal("SUI_PlayerBuffButton"..i)
			button:RegisterEvent("UNIT_BUFF_CHANGED");
		end
		for i = 1, 8 do
			button = getglobal("SUI_PlayerDebuffButton"..i)
			button:RegisterEvent("UNIT_BUFF_CHANGED");
		end
	else
		local button
		for i = 1, 16 do
			button = getglobal("SUI_PlayerBuffButton"..i)
			button:UnregisterEvent("UNIT_BUFF_CHANGED");
			button:Hide();
		end
		for i = 1, 8 do
			button = getglobal("SUI_PlayerDebuffButton"..i)
			button:UnregisterEvent("UNIT_BUFF_CHANGED");
		end
		for i = 1, 24 do
			button = getglobal("PlayerBuffButton"..i)
			button:RegisterEvent("UNIT_BUFF_CHANGED");
		end
		for i = 1, 24 do
			button = getglobal("PlayerDebuffButton"..i)
			button:RegisterEvent("UNIT_BUFF_CHANGED");
		end
	end
end


function StoreButton_OnLoad(this)
	this:RegisterEvent("VARIABLES_LOADED")
	StoreButtonText:SetText(SUI_STORE_TEXT);
end

function StoreButton_OnEvent(this, event)
	if event == "VARIABLES_LOADED" then
		if SUI_Settings["UIConfigCheckButton"]["StoreButton"] == nil then
			SUI_Settings["UIConfigCheckButton"]["StoreButton"] = true;
		end
		if SUI_Settings["UIConfigCheckButton"]["StoreButton"] then
			MinimapFrameStoreButton:Hide();
		else
			MinimapFrameStoreButton:Show();
			ClearSetAnchor(MinimapFrameStoreButton, "TOP", "BOTTOM", MinimapFrameQuestTrackButton, 0, 0);
		end
		this:SetChecked(SUI_Settings["UIConfigCheckButton"]["StoreButton"]);
	end
end

function StoreButton_OnClick(this)
	SUI_Settings["UIConfigCheckButton"]["StoreButton"] = this:IsChecked();
	if SUI_Settings["UIConfigCheckButton"]["StoreButton"] then
		MinimapFrameStoreButton:Hide();
	else
		MinimapFrameStoreButton:Show();
		ClearSetAnchor(MinimapFrameStoreButton, "TOP", "BOTTOM", MinimapFrameQuestTrackButton, 0, 0);
	end
end

function BeautyStudioButton_OnLoad(this)
	this:RegisterEvent("VARIABLES_LOADED")
	BeautyStudioButtonText:SetText(SUI_BEAUTY_TEXT);
end

function BeautyStudioButton_OnEvent(this, event)
	if event == "VARIABLES_LOADED" then
		if SUI_Settings["UIConfigCheckButton"]["BeautyStudioButton"] == nil then
			SUI_Settings["UIConfigCheckButton"]["BeautyStudioButton"] = true;
		end
		if SUI_Settings["UIConfigCheckButton"]["BeautyStudioButton"] then
			MinimapBeautyStudioButton:Hide();
		else
			MinimapBeautyStudioButton:Show();
			ClearSetAnchor(MinimapBeautyStudioButton, "TOP", "BOTTOM", MinimapFrameStoreButton, 0, 0);
		end
		this:SetChecked(SUI_Settings["UIConfigCheckButton"]["BeautyStudioButton"]);
	end
end

function BeautyStudioButton_OnClick(this)
	SUI_Settings["UIConfigCheckButton"]["BeautyStudioButton"] = this:IsChecked();
	if SUI_Settings["UIConfigCheckButton"]["BeautyStudioButton"] then
		MinimapBeautyStudioButton:Hide();
	else
		MinimapBeautyStudioButton:Show();
		ClearSetAnchor(MinimapBeautyStudioButton, "TOP", "BOTTOM", MinimapFrameStoreButton, 0, 0);
	end
end

function SUI_ActionBarFrameButtonEX_OnLoad(this)
	this:RegisterEvent("LOADING_END")
	SUI_ActionBarFrameButtonEXText:SetText(SUI_ACTIONBAR_TEXT);
end

function SUI_ActionBarFrameButtonEX_OnEvent(this, event)
	if event == "LOADING_END" then
		if SUI_Settings["UIConfigCheckButton"]["SUI_ActionBarFrameButtonEX"] == nil then
			SUI_Settings["UIConfigCheckButton"]["SUI_ActionBarFrameButtonEX"] = false;
		end
		if SUI_Settings["UIConfigCheckButton"]["SUI_ActionBarFrameButtonEX"] then
			MainActionBarFrameButtonEX:Hide();
			BottomActionBarFrameButtonEX:Hide();
			RightActionBarFrameButtonEX:Hide();
			LeftActionBarFrameButtonEX:Hide();
		else
			MainActionBarFrameButtonEX:Show();
			BottomActionBarFrameButtonEX:Show();
			RightActionBarFrameButtonEX:Show();
			LeftActionBarFrameButtonEX:Show();
		end
		this:SetChecked(SUI_Settings["UIConfigCheckButton"]["SUI_ActionBarFrameButtonEX"]);
	end
end

function SUI_ActionBarFrameButtonEX_OnClick(this)
	SUI_Settings["UIConfigCheckButton"]["SUI_ActionBarFrameButtonEX"] = this:IsChecked();
	if SUI_Settings["UIConfigCheckButton"]["SUI_ActionBarFrameButtonEX"] then
		MainActionBarFrameButtonEX:Hide();
		BottomActionBarFrameButtonEX:Hide();
		RightActionBarFrameButtonEX:Hide();
		LeftActionBarFrameButtonEX:Hide();
	else
		MainActionBarFrameButtonEX:Show();
		BottomActionBarFrameButtonEX:Show();
		RightActionBarFrameButtonEX:Show();
		LeftActionBarFrameButtonEX:Show();
	end
end

function SUI_PartyPos_OnLoad(this)
	this:RegisterEvent("LOADING_END")
	SUI_PartyPosText:SetText(SUI_PARTYPOS_TEXT);
end

function SUI_PartyPos_OnEvent(this, event)
	if event == "LOADING_END" then
		if SUI_Settings["UIConfigCheckButton"]["SUI_PartyPos"] == nil then
			SUI_Settings["UIConfigCheckButton"]["SUI_PartyPos"] = false;
		end
		if SUI_Settings["UIConfigCheckButton"]["SUI_PartyPos"] then
			SUI_UnitFrame_party1:Show()
			SUI_UnitFrame_party2:Show()
			SUI_UnitFrame_party3:Show()
			SUI_UnitFrame_party4:Show()
			SUI_UnitFrame_party5:Show()
		else
			for i = 1, 5 do
				local partyFrame = getglobal("SUI_UnitFrame_party"..i);
				local unit = "party"..i;
				if not UnitExists(unit) then
					partyFrame:Hide();
				else
					partyFrame:Show();
				end
			end
		end
		this:SetChecked(SUI_Settings["UIConfigCheckButton"]["SUI_PartyPos"]);
	end
end

function SUI_PartyPos_OnClick(this)
	SUI_Settings["UIConfigCheckButton"]["SUI_PartyPos"] = this:IsChecked();
	if SUI_Settings["UIConfigCheckButton"]["SUI_PartyPos"] then
		SUI_UnitFrame_party1:Show();
		SUI_UnitFrame_party2:Show();
		SUI_UnitFrame_party3:Show();
		SUI_UnitFrame_party4:Show();
		SUI_UnitFrame_party5:Show();
	else
		for i = 1, 5 do
			local partyFrame = getglobal("SUI_UnitFrame_party"..i);
			local unit = "party"..i;
			if not UnitExists(unit) then
				partyFrame:Hide();
			else
				partyFrame:Show();
			end
		end
	end
end

		